> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kukkingu.software/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete client

> Deletes a client by its ID.



## OpenAPI

````yaml https://api.contracting.kukkingu.software/api/v1/docs.json delete /api/v1/clients/{clientId}
openapi: 3.1.0
info:
  title: Contracting Backend API
  version: 0.1.0
  description: API documentation for the Contracting backend service.
servers:
  - url: https://api.contracting.kukkingu.software
    description: API server
security:
  - bearerAuth: []
paths:
  /api/v1/clients/{clientId}:
    delete:
      tags:
        - Clients
      summary: Delete client
      description: Deletes a client by its ID.
      parameters:
        - schema:
            type: string
            description: Unique identifier of the client.
            example: clnt_z2b3mo8qa5kzptgsu26q2wmh
          in: path
          name: clientId
          required: true
          description: Unique identifier of the client.
      responses:
        '204':
          description: Default Response
          content:
            application/json:
              schema:
                description: >-
                  No response body for successful operations that return HTTP
                  204.
                not: {}
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    default: Unauthorized
                    description: Machine-readable error code.
                    example: Unauthorized
                    type: string
                  message:
                    default: Unauthorized
                    description: Human-readable error message.
                    example: Unauthorized
                    type: string
                required:
                  - error
                  - message
                additionalProperties: false
                description: Error response for requests without valid authentication.
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    default: NotFound
                    description: Machine-readable error code.
                    example: NotFound
                    type: string
                  message:
                    default: Not Found
                    description: Human-readable error message.
                    example: Not Found
                    type: string
                required:
                  - error
                  - message
                additionalProperties: false
                description: Error response when the requested resource does not exist.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````